Summary:	LibASS - SSA/ASS subtitles rendering library
Summary(pl.UTF-8):	LibASS - biblioteka renderująca napisy SSA/ASS
Name:		libass
Version:	0.12.1
Release:	3
License:	MIT-like
Group:		Libraries
Source0:	http://github.com/libass/libass/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	dfdcd8b4fbb6a8211db8040b10aa2070
URL:		https://github.com/libass/libass/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	enca-devel
BuildRequires:	fontconfig-devel >= 1:2.4.2
BuildRequires:	fribidi-devel >= 0.19.0
# pkgconfig(freetype2) >= 9.10.3
BuildRequires:	freetype-devel >= 1:2.2.1
BuildRequires:	harfbuzz-devel >= 0.9.5
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	fontconfig-libs >= 1:2.4.2
Requires:	freetype >= 1:2.2.1
Requires:	fribidi >= 0.19.0
Requires:	harfbuzz >= 0.9.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibASS is a portable subtitle renderer for the ASS/SSA (Advanced
Substation Alpha/Substation Alpha) subtitle format. It is mostly
compatible with VSFilter.


%description -l pl.UTF-8
LibASS to przenośna biblioteka renderująca napisy w formacie ASS/SSA
(Advanced Substation Alpha/Substation Alpha). Jest w większości
kompatybilna z VSFiltrem.

%package devel
Summary:	Header files for LibASS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibASS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	enca-devel
Requires:	fontconfig-devel >= 1:2.4.2
Requires:	freetype-devel >= 1:2.2.1
Requires:	fribidi-devel >= 0.19.0
Requires:	harfbuzz-devel >= 0.9.5

%description devel
This package contains the header files for developing applications
that use LibASS library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę LibASS.

%package static
Summary:	Static LibASS library
Summary(pl.UTF-8):	Statyczna biblioteka LibASS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibASS library.

%description static -l pl.UTF-8
Statyczna biblioteka LibASS.

%prep
%setup -q

%ifarch x32
%{__sed} -i -e 's|-f elf |-f elfx32 |' configure.ac
%endif

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING Changelog
%attr(755,root,root) %{_libdir}/libass.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libass.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libass.so
%{_libdir}/libass.la
%{_includedir}/ass
%{_pkgconfigdir}/libass.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libass.a
%changelog
* Sun Apr 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libass.git;a=log;h=master

* Sun Apr 26 2015 Jan Rękorajski <baggins@pld-linux.org> 84ce087
- make yasm generate proper object format on x32 and enable asm
- rel 3

* Sat Apr 25 2015 Jan Palus <atler@pld-linux.org> 66fb01d
- rel 2

* Sat Apr 25 2015 Jan Palus <atler@pld-linux.org> c42901f
- try to disable asm on x32

* Sat Apr 25 2015 Jan Palus <atler@pld-linux.org> 5e58a9c
- up to 0.12.1

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> b0c612b
- release 2 (by relup.sh)

* Sat Sep 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 86f8899
- freetype version from configure

* Thu Oct 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 3ad6223
- updated to 0.10.2

* Sat Oct 20 2012 Jakub Bogusz <qboosh@pld-linux.org> f8fdb21
- updated to 0.10.1; harfbuzz enabled now

* Fri Sep 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 012f0c5
- updated to 0.10.0
- since 0.9.13 License is very permissive ISC/MIT-like
- now it can use fribidi and (not released yet version of) harfbuzz

* Mon Sep 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 5041176
- updated to 0.9.13

* Mon Dec 20 2010 Jakub Bogusz <qboosh@pld-linux.org> b9fc0da
- new

